Package com.io7m.jregions.core.unparameterized.sizes

# Class VolumeSizeD.Builder

java.lang.Object
com.io7m.jregions.core.unparameterized.sizes.VolumeSizeD.Builder

Enclosing class:
  VolumeSizeD

public static final class VolumeSizeD.Builder extends Object
Builds instances of type `VolumeSizeD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VolumeSizeD`
  `build()`
  Builds a new `VolumeSizeD`.
  `final VolumeSizeD.Builder`
  `from(VolumeSizeDType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeDType` instance.
  `final VolumeSizeD.Builder`
  `from(VolumeSizeValuesDType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesDType` instance.
  `final VolumeSizeD.Builder`
  `setSizeX(double sizeX)`
  Initializes the value for the `sizeX` attribute.
  `final VolumeSizeD.Builder`
  `setSizeY(double sizeY)`
  Initializes the value for the `sizeY` attribute.
  `final VolumeSizeD.Builder`
  `setSizeZ(double sizeZ)`
  Initializes the value for the `sizeZ` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VolumeSizeD.Builder from(VolumeSizeDType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final VolumeSizeD.Builder from(VolumeSizeValuesDType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeX

    public final VolumeSizeD.Builder setSizeX(double sizeX)
    Initializes the value for the `sizeX` attribute.
    Parameters:
      `sizeX` - The value for sizeX
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeY

    public final VolumeSizeD.Builder setSizeY(double sizeY)
    Initializes the value for the `sizeY` attribute.
    Parameters:
      `sizeY` - The value for sizeY
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeZ

    public final VolumeSizeD.Builder setSizeZ(double sizeZ)
    Initializes the value for the `sizeZ` attribute.
    Parameters:
      `sizeZ` - The value for sizeZ
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VolumeSizeD build()
    Builds a new `VolumeSizeD`.
    Returns:
      An immutable instance of VolumeSizeD
    Throws:
      `IllegalStateException` - if any required attributes are missing